build: false
shallow_clone: false
platform: 'x86'
clone_folder: C:\projects\phinx
environment:
  TESTS_PHINX_DB_ADAPTER_SQLSRV_ENABLED: true
  TESTS_PHINX_DB_ADAPTER_SQLSRV_HOST: localhost
  TESTS_PHINX_DB_ADAPTER_SQLSRV_USERNAME: sa
  TESTS_PHINX_DB_ADAPTER_SQLSRV_PASSWORD: Password12!
  TESTS_PHINX_DB_ADAPTER_SQLSRV_DATABASE: phinxtesting
  TESTS_PHINX_DB_ADAPTER_SQLSRV_PORT: 1433
  matrix:
      - db: 2012
        php_ddl: 56_nts
        php_zip: php-5.6.28-nts-Win32-VC11-x86.zip
        db_dsn: 'sqlserver://sa:Password12!@.\SQL2012SP1/phinxtesting?MultipleActiveResultSets=false'
        dependencies: lowest
        sqlsrv: https://download.microsoft.com/download/C/D/B/CDB0A3BB-600E-42ED-8D5E-E4630C905371/SQLSRV32.EXE

services:
  - mssql2012sp1

cache:
    - '%LOCALAPPDATA%\Composer\files -> composer.lock'

init:
    - SET PATH=C:\Program Files\OpenSSL;c:\tools\php;%PATH%
    - SET COMPOSER_NO_INTERACTION=1
    - SET PHP=1
    - SET ANSICON=121x90 (121x90)

install:
    - IF EXIST c:\tools\php (SET PHP=0)
    - appveyor DownloadFile http://windows.php.net/downloads/releases/archives/%php_zip% -FileName php.zip
    - appveyor DownloadFile %sqlsrv% -FileName sqlsrv.exe
    - 7z x php.zip -oc:\tools\php
    - 7z x sqlsrv.exe -oc:\tools\php\ext
    - cd c:\tools\php
    - IF %PHP%==1 copy php.ini-production php.ini /Y
    - IF %PHP%==1 echo date.timezone="UTC" >> php.ini
    - IF %PHP%==1 echo extension_dir=ext >> php.ini
    - IF %PHP%==1 echo extension=php_openssl.dll >> php.ini
    - IF %PHP%==1 echo extension=php_mbstring.dll >> php.ini
    - IF %PHP%==1 echo extension=php_fileinfo.dll >> php.ini
    - IF %PHP%==1 echo extension=php_sqlsrv_%php_ddl%.dll >> php.ini
    - IF %PHP%==1 echo extension=php_pdo_sqlsrv_%php_ddl%.dll >> php.ini
    - IF %PHP%==1 echo @php %%~dp0composer.phar %%* > composer.bat
    - appveyor-retry appveyor DownloadFile https://getcomposer.org/composer.phar
    - cd c:\projects\phinx
    - IF %dependencies%==lowest appveyor-retry composer update --prefer-lowest --no-progress --profile -n
    - IF %dependencies%==current appveyor-retry composer install --no-progress --profile
    - IF %dependencies%==highest appveyor-retry composer update --no-progress --profile -n
    - composer show

test_script:
  - sqlcmd -S localhost,1433 -U sa -P Password12! -Q "create database phinxtesting;"
  - cd c:\projects\phinx
  - vendor/bin/phpunit --no-configuration --bootstrap tests/phpunit-bootstrap.php tests/
